Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #899642

    In an effort to update some older php versioned site I have, there are a couple with some issues on moving from 5.6.xx to 7.2.1.
    In the header of most pages, these sites are showing the following error:
    Warning: count(): Parameter must be an array or an object that implements Countable in /home/bottos91/public_html/wp-content/themes/enfold/config-templatebuilder/avia-shortcodes/av-helper-masonry.php on line 362

    Support, need some help with this so I can eventually move to Enfold 4.2.1 on php 7.2.1 as you recommend.

    #899663

    @crtdude the PHP 7.2.x bug tracker still lists a lot off issues. To be on the save side you might consider using PHP 7.1 for now. Many plugins dont work with 7.2.x and I guess it will take some time for the developers to jump on that train.

    #899672

    Thanks for the info mensmaximus. Have not tried 7.1 but will consider once support jumps in here to add their piece. It seems to be Enfold though and not a plugin file (av-helper-masonry.php).

    #899830

    Hey,

    Could you please post FTP and WP admin logins here privately so we can look into the issue?
    As far as i know, our devs did not start working on PHP 7.2.x compatibility yet however this could be the first case :)

    Regards,
    Yigit

    #900063

    Yigit, thanks for replying. I took mensmaximus’ advice and simply changed the php version of the two affected sites to 7.1.13 rather than 7.2.1 for now – they are fine under 7.1.13. I wanted to see where you folks were at insofar as 7.2.1 was – you answered that question. I’ll leave these well enough alone for now. You might just want to note to the devs that there is an issue with 7.2.1 and av-helper-masonry.php when they get around to messing with 7.2.1 – I cannot have client sites be guinea pigs for testing.

    Weird thing is though on a couple of really basic sites I changed to 7.2.1 and all looks okay. But I guess I’ll really find out when I go to do something else with them.

    #900867

    Hi,

    Glad @mensmaximus could help!
    Our devs already fixed the issue and it will be included in upcoming update :)

    Let us know if you have any other questions or issues!

    Best regards,
    Yigit

Viewing 6 posts - 1 through 6 (of 6 total)

The topic ‘PHP 7.2.1 issue on enfold 4.2’ is closed to new replies.